Name:		netsniff-ng
Version:	0.5.7
Release:	%mkrel 4
Summary:	A high performance network sniffer for packet inspection
License:	GPLv2
Group:		Networking/Other
URL:		http://netsniff-ng.org/
Source:		http://www.netsniff-ng.org/pub/netsniff-ng/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  ncurses-devel
BuildRequires:  libnl-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  geoip-devel
BuildRequires:  netfilter_conntrack-devel

%description
netsniff-ng is a high performance linux network sniffer for packet inspection.
Basically, it is similar to tcpdump, but it doesn't need one syscall per
packet. Instead, it uses an memory mapped area within kernelspace for accessing
packets without copying them to userspace (zero-copy mechanism).

This tool is useful for debugging your network, measuring performance
throughput or creating network statistics of incoming packets on central
network nodes like routers or firewalls. 

%prep
%setup -q 

%build
pushd src
%cmake
%make CFLAGS="%{optflags}"
popd 

%install
rm -rf %{buildroot}
pushd  src/build
%makeinstall_std
popd

%files
%doc AUTHORS COPYING README REPORTING-BUGS VERSION
%{_sbindir}/netsniff-ng
%{_sbindir}/ashunt
%{_sbindir}/bpfc
%{_sbindir}/ifpps
%{_mandir}/man8/*.8*
%config(noreplace) %{_sysconfdir}/netsniff-ng/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5.7-4.mga4
+ Revision: 508304
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 0.5.7-2.mga3
+ Revision: 307138
- use Networking/Other group, as other scanners

* Tue Jul 10 2012 guillomovitch <guillomovitch> 0.5.7-1.mga3
+ Revision: 269236
- new version

* Sun Jun 17 2012 kharec <kharec> 0.5.6-1.mga3
+ Revision: 261148
- Add BR's on cmake and ncurses-devel
- use pushd
- version 0.5.6
- use cmake for creating makefile (mandriva)
- fix %%prep
- fix %%doc and %%file list
- fix %%install section using makeinstall_std (mandriva)

* Wed Nov 02 2011 kharec <kharec> 0.5.5.0-1.mga2
+ Revision: 161525
- imported package netsniff-ng

